// $Id: CommException.java,v 1.3 2003/03/06 00:38:04 lw Exp $
package team5.base.comm;

/**
 * Exception thrown if an client tries to change an object id that is already
 * set to a non-zero value.
 * @author Team 5
 * @version $Revision: 1.3 $
 */
public class CommException extends Exception {

    /**
     * Constructs a new exception with <code>null</code> as its detail message.
     */
    public CommException() {
        super();
    }

    /**
     * Constructs a new exception with the specified detail message.
     * @param   message   the detail message.
     */
    public CommException(String message) {
        super(message);
    }

    /**
     * Constructs a new exception with the specified detail message and
     * cause.
     * @param  message the detail message
     * @param  cause the cause
     */
    public CommException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructs a new exception with the specified cause and a detail
     * message of <tt>(cause==null ? null : cause.toString())</tt>.
     */
    public CommException(Throwable cause) {
        super(cause);
    }
}
