// $Id: Players.java,v 1.1 2003/02/25 01:36:08 lw Exp $
package team5.casino;

import team5.casino.comm.PlayerProxy;

import java.util.HashMap;
import java.util.Map;

/**
 * This class is intended to be a wrapper around a hashtable
 * used to store player interfaces.
 * @author Team 5
 * @version $Revision: 1.1 $
 */
public class Players {

    public Players() {

        players = new HashMap();
    }

    public void put(int playerID, PlayerProxy player) {

        players.put(new Integer(playerID), player);
    }

    public void remove(int playerID) {

        players.remove(new Integer(playerID));
    }

    public PlayerProxy get(int playerID) {

        return (PlayerProxy) players.get(new Integer(playerID));
    }


    // Fields

    private Map players;
}
