// $Id: BankDB.java,v 1.11 2003/03/13 19:44:39 etwilson Exp $
package team5.casino.db;

import java.sql.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Team 5
 * @version $Revision: 1.11 $
 */
public class BankDB {

    private DataConnection dbLink;
    private ResultSet result;

    /**
     *
     */
    public BankDB(String user, String password) {
        dbLink = new DataConnection(user, password);
        dbLink.connectDB();
        result = null;
    }

    /**
     *
     */
    public int addChips(int playerID, int transaction, int amount) {

        int i = 0;

        try {
            String getMax = "DECLARE @TheCount int EXEC addChips @player_id =" + playerID + ", @amount =" + amount + ", @casino_transaction =" + transaction + ", @g_id = @TheCount OUTPUT Select TheCount = @TheCount";
            result = dbLink.selectQuery(getMax);
            boolean t = result.next();
            i = result.getInt(1);
            return i;
        } catch (Exception e) {
            return -1;
        }
    }

    /**
     *
     */
    public int buyChips(int playerID, int transaction, int amount) {

        int i = 0;

        try {
            String getMax = "DECLARE @TheCount int EXEC buyChips @player_id =" + playerID + ", @amount =" + amount + ", @casino_transaction =" + transaction + ", @g_id = @TheCount OUTPUT Select TheCount = @TheCount";
            result = dbLink.selectQuery(getMax);
            boolean t = result.next();
            i = result.getInt(1);
            return i;
        } catch (Exception e) {
            return -1;
        }

    }

    /**
     *
     */
    public int subtractChips(int playerID, int transaction, int amount) {
        int i = 0;
        try {
            String getMax = "DECLARE @TheCount int EXEC subtractChips @player_id =" + playerID + ", @amount =" + amount + ", @casino_transaction =" + transaction + ", @g_id = @TheCount OUTPUT Select TheCount = @TheCount";
            result = dbLink.selectQuery(getMax);
            boolean t = result.next();
            i = result.getInt(1);
            return i;
        } catch (Exception e) {
            return -1;
        }
    }

    /**
     *
     */
    public int getChips(int playerID) {

        String getAmount = "select num_chips from bank where player_id = '" + playerID + "'";

        result = dbLink.selectQuery(getAmount);
        int i = 0;
        try {
            boolean t = result.next();
            i = result.getInt(1);
            return i;
        } catch (Exception e) {
            return -1;
        }

    }

    /**
     *
     */
    public void removePlayer(int playerID) {

        String playerQuery = " delete from bank where player_id = '" + playerID + "'";

        dbLink.modifyQuery(playerQuery);
    }

     public int getState(int playerID) {

        int i = 0;

        try {
            String getMode = "select state from bank where player_id = '" + playerID + "'";
            result = dbLink.selectQuery(getMode);
            boolean t = result.next();
            i = result.getInt(1);
            return i;
        } catch (Exception e) {
            return -1;
        }

    }

   public void setState(int playerID, int state) {

        String playerQuery = " Update bank set state = '" + state + "' where player_id = '" + playerID + "'";

        dbLink.modifyQuery(playerQuery);
    }
}
