// $Id: PlayerDB.java,v 1.11 2003/03/13 19:44:39 etwilson Exp $
package team5.casino.db;

import java.sql.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Team 5
 * @version $Revision: 1.11 $
 */
public class PlayerDB {

    public static final int PLAYING = 1;
    public static final int IDLE = 0;

    private DataConnection dbLink;
    private ResultSet result;

    public PlayerDB(String user, String password) {

        dbLink = new DataConnection(user, password);
        dbLink.connectDB();
        result = null;
    }

     public int getNewPlayerID() {

        int i = 0;

        try {
            String getMax = "DECLARE @TheCount int EXEC getNewID @g_id = @TheCount OUTPUT Select TheCount = @TheCount";
            result = dbLink.selectQuery(getMax);
            boolean t = result.next();
            i = result.getInt(1);
            return i;
        } catch (Exception e) {
            return -1;
        }
    }

    public int addPlayer(int playerID, int transaction, String loginName) {

        int i = 1;

        try {
            String getMax = "DECLARE @TheCount int EXEC addPlayer @login_name = '" + loginName + "'," + "@playerID =" + playerID + ", @casino_transaction =" + transaction + ", @g_id = @TheCount OUTPUT Select TheCount = @TheCount";
            result = dbLink.selectQuery(getMax);
            boolean t = result.next();
            i = result.getInt(1);
            return i;
        } catch (Exception e) {
            return -1;
        }

    }

    public void removePlayer(String loginName) {

        String playerQuery = " delete from player_info where login_name = '" + loginName + "'";

        dbLink.modifyQuery(playerQuery);
    }

    public void removePlayer(int playerID) {

        String playerQuery = " delete from player_info where player_id = '" + playerID + "'";

        dbLink.modifyQuery(playerQuery);
    }

    public String getLoginName(int playerID) {

        try {
            String playerQuery = " select login_name from player_info where player_id = '" + playerID + "'";
            result = dbLink.selectQuery(playerQuery);
            String s = "";
            boolean t = result.next();
            s = result.getString(1);
            return s;
        } catch (Exception e) {
            return "Player not in DB";
        }
    }

    public int getMode(int playerID) {

        int i = 0;

        try {
            String getMode = "select mode from player_info where player_id = '" + playerID + "'";
            result = dbLink.selectQuery(getMode);
            boolean t = result.next();
            i = result.getInt(1);
            return i;
        } catch (Exception e) {
            return -1;
        }


    }

    public void setMode(int playerID, int mode) {

        String playerQuery = " Update player_info set mode = '" + mode + "' where player_id = '" + playerID + "'";

        dbLink.modifyQuery(playerQuery);
    }

    public int[] getAllPlayerIDs() {

        int players[];
        int counter = 0;
        players = new int[200];
        String get = "select player_id from player_info";
        result = dbLink.selectQuery(get);
        int i = 0;

        try {
            while (result.next()) {
                try {
                    int j = result.getInt(1);
                    players[i] = j;
                    i++;
                    counter++;
                } catch (Exception e1) {
                    e1.printStackTrace();
                }
            }
        } catch (Exception e) {
        }
        int playersRet[] = new int[counter];
        for (int j = 0; j < counter; j++) {
            playersRet[j] = players[j];
        }
        return playersRet;
    }
  
     public int[] getGameID(int playerID) {

        int games[];
        int counter = 0;
        games = new int[20];
        String get = "select game_id from game_players where player_id = '" + playerID + "'";
        result = dbLink.selectQuery(get);
        int i = 0;

        try {
            while (result.next()) {
                try {
                    int j = result.getInt(1);
                    games[i] = j;
                    i++;
                    counter++;
                } catch (Exception e1) {
                    e1.printStackTrace();
                }
            }
        } catch (Exception e) {
        }
        int gamesRet[] = new int[counter];
        for (int j = 0; j < counter; j++) {
            gamesRet[j] = games[j];
        }
        return gamesRet;
    }


}
