// $Id: PlayerSignals.java,v 1.3 2003/02/23 21:27:51 etwilson Exp $
// PlayerServer.java - This is the server portion of the Player application
//               for the Virtual Casino.
// Authors     - Team5
// Date        - Feb 4, 2003
//

package team5.player;

import java.io.*;
import java.util.*;

public class PlayerSignals {
    private int signal;
    private boolean available = false;

    public synchronized int getSignal() {
        while (available == false) {
            try {
                wait();
            } catch (InterruptedException e) {
            }
        }
        available = false;
        notifyAll();
        return signal;
    }

    public synchronized void putSignal(int message) {
        while (available == true) {
            try {
                wait();
            } catch (InterruptedException e) {
            }
        }
        signal = message;
        available = true;
        notifyAll();
    }
}
