// $Id: DuplicateValueException.java,v 1.1 2003/02/25 01:35:00 lw Exp $
package team5.base.comm;

/**
 * Exception thrown if a client tries to change an object id that is already
 * set to a non-zero value.
 */
public class DuplicateValueException extends Exception {

    /**
     * Constructs a new exception with <code>null</code> as its detail message.
     */
    public DuplicateValueException() {
        super();
    }

    /**
     * Constructs a new exception with the specified detail message.
     * @param message the detail message.
     */
    public DuplicateValueException(String message) {
        super(message);
    }
}
