// $id: $
package team5.base.comm;

/**
 * A class that allows conditional output
 * <ul>
 * <li>Category: Baseline</li>
 * <li>Behavior: This class makes debugging of code easier by allowing one
 * to turn debugging messages on and off at runtime.</li>
 * @Author Team5
 * @version $Revision: 1.3 $
 * 
 */
public class Verbose { 

    public static boolean verbose = true;


    /**
     * print a line condionally if verbose is true
     * @param output the string that you want output
     */
    public static void println(String output){
	    if (verbose) {    
            System.out.println(output);
        }
    }
    /**
     * print condionally if verbose is true
     * @param output the string that you want output
     */
    public static void print(String output){
	    if (verbose) {    
            System.out.print(output);
        }
    }
}
