package team5.casino.db;

import java.util.*;
import java.sql.*;
import java.io.*;

/**
 *delete from db program
 */
public class DBClear {

    public DBClear(String user,String password) throws Exception {
        // Get connection
        DataConnection db;
        db = new DataConnection(user,password);
        db.connectDB();
        try {

            db.modifyQuery("delete from bank where player_id <> '10000'");
            db.modifyQuery("delete from player_hand where game_id <> '10000'");
            db.modifyQuery("delete from game_players where game_id <> '10000'");
            db.modifyQuery("delete from game_table where game_id <> '10000'");
            db.modifyQuery("delete from player_info where player_id <> '10000'");
            db.modifyQuery("update OriginCounter set origin_id = 1 ");
            db.modifyQuery("delete from casino_transaction");

        } catch (Exception e) {
        }


    }


    public static void main(String args[]) throws Exception {
   
        Properties props = loadProps(args[0]);

        String user = props.getProperty("database.user");
        String password = props.getProperty("database.password");

   
        DBClear clear = new DBClear(user, password);

    }

    /**
     * Load the properties file from disk.
     * @return a properties object.
     */
    private static Properties loadProps(String propfileName) {
        Properties props = null;
        System.out.println("---Loading properties file: " + propfileName);
        try {
            props = new Properties(System.getProperties());
            props.load(new BufferedInputStream(new FileInputStream(propfileName)));
        } catch (Exception e) {
            System.out.println("Properties file: " + propfileName + " not found");
            System.exit(-1);
        }
        return props;
    }

}

