// $Id: FloorDB.java,v 1.5 2003/03/13 19:44:39 etwilson Exp $
package team5.casino.db;

import java.sql.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Team 5
 * @version $Revision: 1.5 $
 */
public class FloorDB {
    private DataConnection dbLink;
    private ResultSet result;

    public FloorDB(String user, String password) {
        dbLink = new DataConnection(user, password);
        dbLink.connectDB();
        result = null;
    }

    public int getNewID() {
        int i = 0;
        try {
            String getMax = "DECLARE @TheCount int EXEC getNewID @g_id = @TheCount OUTPUT Select TheCount = @TheCount";
            result = dbLink.selectQuery(getMax);
            boolean t = result.next();
            i = result.getInt(1);
            return i;
        } catch (Exception e) {
            return -1;
        }
    }

     public int getState(int playerID) {

        int i = 0;

        try {
            String getMode = "select state from bank where player_id = '" + playerID + "'";
            result = dbLink.selectQuery(getMode);
            boolean t = result.next();
            i = result.getInt(1);
            return i;
        } catch (Exception e) {
            return -1;
        }

    }


    public void setState(int gameID, int state) {

        String playerQuery = " Update game_table set current_game_state = '" + state + "' where game_id = '" + gameID + "'";

        dbLink.modifyQuery(playerQuery);
    }





    public int[] getPlayerIDs(int gameID) {

        int players[];
        int counter = 0;
        players = new int[5];
        String get = "select player_id from game_players where game_id = '" + gameID + "'";
        result = dbLink.selectQuery(get);
        int i = 0;

        try {
            while (result.next()) {
                try {
                    int j = result.getInt(1);
                    players[i] = j;
                    i++;
                    counter++;
                } catch (Exception e1) {
                    e1.printStackTrace();
                }
            }
        } catch (Exception e) {
        }
        int playersRet[] = new int[counter];
        for (int j = 0; j < counter; j++) {
            playersRet[j] = players[j];
        }
        return playersRet;
    }

    public void resetGame(int gameID) {

        String playerQuery = " delete player_hand where game_id = '" + gameID + "'";

        dbLink.modifyQuery(playerQuery);
    }

    public void insertCard(int gameID, int playerID, int cardID) {

        String query = "EXEC insertCard @player_id =" + playerID + ", @game_id =" + gameID + ",  @card_id ='" + cardID + "'";

        dbLink.modifyQuery(query);
    }

    public int[] getPlayerCards(int playerID) {

        int players[];
        int counter = 0;
        players = new int[12];
        String get = "select card_id from player_hand where player_id = '" + playerID + "'";
        result = dbLink.selectQuery(get);
        int i = 0;

        try {
            while (result.next()) {
                try {
                    int j = result.getInt(1);
                    players[i] = j;
                    i++;
                    counter++;
                } catch (Exception e1) {
                    e1.printStackTrace();
                }
            }
        } catch (Exception e) {
        }
        int[] playersRet = new int[counter];
        for (int j = 0; j < counter; j++) {
            playersRet[j] = players[j];
        }
        return playersRet;
    }

    public int getBet(int playerID) {

        int i = 0;

        try {
            String getMode = "select current_bet from game_players where player_id = '" + playerID + "'";
            result = dbLink.selectQuery(getMode);
            boolean t = result.next();
            i = result.getInt(1);
            return i;
        } catch (Exception e) {
            return -1;
        }

    }


    public void setBet(int playerID, int bet) {

        String playerQuery = " Update game_players set current_bet = '" + bet + "' where player_id = '" + playerID + "'";

        dbLink.modifyQuery(playerQuery);
    }
    
     public int[] getAllGameIDs() {

        int games[];
        int counter = 0;
        games = new int[200];
        String get = "select game_id from game_table";
        result = dbLink.selectQuery(get);
        int i = 0;

        try {
            while (result.next()) {
                try {
                    int j = result.getInt(1);
                    games[i] = j;
                    i++;
                    counter++;
                } catch (Exception e1) {
                    e1.printStackTrace();
                }
            }
        } catch (Exception e) {
        }
        int gamesRet[] = new int[counter];
        for (int j = 0; j < counter; j++) {
            gamesRet[j] = games[j];
        }
        return gamesRet;
    }


     public int[] getAllPlayerIDs() {

        int players[];
        int counter = 0;
        players = new int[200];
        String get = "select player_id from player_info";
        result = dbLink.selectQuery(get);
        int i = 0;

        try {
            while (result.next()) {
                try {
                    int j = result.getInt(1);
                    players[i] = j;
                    i++;
                    counter++;
                } catch (Exception e1) {
                    e1.printStackTrace();
                }
            }
        } catch (Exception e) {
        }
        int playersRet[] = new int[counter];
        for (int j = 0; j < counter; j++) {
            playersRet[j] = players[j];
        }
        return playersRet;
    }

    /**
     *
     */
    public int getChips(int playerID) {

        String getAmount = "select num_chips from bank where player_id = '" + playerID + "'";

        result = dbLink.selectQuery(getAmount);
        int i = 0;
        try {
            boolean t = result.next();
            i = result.getInt(1);
            return i;
        } catch (Exception e) {
            return -1;
        }

    }

}
