// $Id: TableDB.java,v 1.12 2003/03/13 19:44:39 etwilson Exp $
package team5.casino.db;

import java.sql.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Team 5
 * @version $Revision: 1.12 $
 */

public class TableDB {

    public static final int RUNNING = 1;
    public static final int IDLE = 0;

    private DataConnection dbLink;
    private ResultSet result;

    public TableDB(String user, String password) {
        dbLink = new DataConnection(user, password);
        dbLink.connectDB();
        result = null;
    }

    public int getOpenGame(int playerID, int transaction) {

        int i = 1;

        try {
            String getMax = "DECLARE @TheCount int EXEC getOpenGame @player_id =" + playerID + ", @casino_transaction =" + transaction + ",  @g_id = @TheCount OUTPUT Select TheCount = @TheCount";
            result = dbLink.selectQuery(getMax);
            boolean t = result.next();
            i = result.getInt(1);
            System.out.println("    returns gameID = " + i);
            return i;
        } catch (Exception e) {
            return -1;
        }
    }

    public void removePlayer(int playerID) {

        String playerQuery = " delete from game_players where player_id = '" + playerID + "'";

        dbLink.modifyQuery(playerQuery);
    }

    public int getStatus(int gameID) {

        int i = 0;

        try {
            String getMode = "select status from game_table where game_id = '" + gameID + "'";
            result = dbLink.selectQuery(getMode);
            boolean t = result.next();
            i = result.getInt(1);
            return i;
        } catch (Exception e) {
            return -1;
        }

    }


    public void setStatus(int gameID, int status) {

        String playerQuery = " Update game_table set status = '" + status + "' where game_id = '" + gameID + "'";

        dbLink.modifyQuery(playerQuery);
    }


     public int getState(int gameID) {

        int i = 0;

        try {
            String getMode = "select current_game_state from game_table where game_id = '" + gameID + "'";
            result = dbLink.selectQuery(getMode);
            boolean t = result.next();
            i = result.getInt(1);
            return i;
        } catch (Exception e) {
            return -1;
        }

    }


    public void setState(int gameID, int state) {

        String playerQuery = " Update game_table set current_game_state = '" + state + "' where game_id = '" + gameID + "'";

        dbLink.modifyQuery(playerQuery);
    }

    public int[] getPlayerIDs(int gameID) {

        int players[];
        int counter = 0;
        players = new int[5];
        String get = "select player_id from game_players where game_id = '" + gameID + "'";
        result = dbLink.selectQuery(get);
        int i = 0;

        try {
            while (result.next()) {
                try {
                    int j = result.getInt(1);
                    players[i] = j;
                    i++;
                    counter++;
                } catch (Exception e1) {
                    e1.printStackTrace();
                }
            }
        } catch (Exception e) {
        }
        int playersRet[] = new int[counter];
        for (int j = 0; j < counter; j++) {
            playersRet[j] = players[j];
        }
        return playersRet;
    }

    public void resetGame(int gameID) {

        String playerQuery = " delete player_hand where game_id = '" + gameID + "'";

        dbLink.modifyQuery(playerQuery);
    }

    public void insertCard(int gameID, int playerID, int cardID) {

        String query = "EXEC insertCard @player_id =" + playerID + ", @game_id =" + gameID + ",  @card_id ='" + cardID + "'";

        dbLink.modifyQuery(query);
    }

    public int[] getPlayerCards(int playerID) {

        int players[];
        int counter = 0;
        players = new int[12];
        String get = "select card_id from player_hand where player_id = '" + playerID + "'";
        result = dbLink.selectQuery(get);
        int i = 0;

        try {
            while (result.next()) {
                try {
                    int j = result.getInt(1);
                    players[i] = j;
                    i++;
                    counter++;
                } catch (Exception e1) {
                    e1.printStackTrace();
                }
            }
        } catch (Exception e) {
        }
        int[] playersRet = new int[counter];
        for (int j = 0; j < counter; j++) {
            playersRet[j] = players[j];
        }
        return playersRet;
    }

    public int getBet(int playerID) {

        int i = 0;

        try {
            String getMode = "select current_bet from game_players where player_id = '" + playerID + "'";
            result = dbLink.selectQuery(getMode);
            boolean t = result.next();
            i = result.getInt(1);
            return i;
        } catch (Exception e) {
            return -1;
        }

    }


    public void setBet(int playerID, int bet) {

        String playerQuery = " Update game_players set current_bet = '" + bet + "' where player_id = '" + playerID + "'";

        dbLink.modifyQuery(playerQuery);
    }
    
     public int[] getAllGameIDs() {

        int games[];
        int counter = 0;
        games = new int[200];
        String get = "select game_id from game_table";
        result = dbLink.selectQuery(get);
        int i = 0;

        try {
            while (result.next()) {
                try {
                    int j = result.getInt(1);
                    games[i] = j;
                    i++;
                    counter++;
                } catch (Exception e1) {
                    e1.printStackTrace();
                }
            }
        } catch (Exception e) {
        }
        int gamesRet[] = new int[counter];
        for (int j = 0; j < counter; j++) {
            gamesRet[j] = games[j];
        }
        return gamesRet;
    }
}
