package team5.player.comm;

import team5.base.comm.*;

import java.util.Properties;

/**
 * @author Team 5
 * @version $Revision: 1.2 $
 */
public class TimedFloor {

    public static TimedFloor getInstance() throws CommException, DuplicateValueException {

        if (instance == null) {
            instance = new TimedFloor();
        }
        return instance;
    }

    public int getOID() throws CommException {

        return floorProxy.getOID();
    }

    public int register(String playerName) throws CommException, team5.base.comm.InvalidPlayerName {

        return floorProxy.register(playerName);
    }

    public Bank getBank() throws CommException {

        return floorProxy.getBank();
    }

    public Tables getTables() throws CommException {

        return floorProxy.getTables();
    }

    public void unregister() throws CommException {

        floorProxy.unregister();
    }


    private TimedFloor() throws CommException, DuplicateValueException {
        Properties orbprops = null;
        floorProxy = FloorProxy.getInstance(orbprops);
    }

    private static TimedFloor instance = null;

    private FloorProxy floorProxy = null;
}
